
/**
 * Class for light bulb objects that switch on and off
 * 
 * @author JP Vergara
 * @version 1.0
 */
public class LightBulb
{
    private boolean isOn;

    /**
     * Constructor for objects of class LightBulb
     */
    public LightBulb()
    {
        isOn = false;
    }

    /**
     * Turn light bulb on
     */
    public void turnOn()
    {
        isOn = true;
    }

     /**
     * Turn light bulb off
     */
    public void turnOff()
    {
        isOn = false;
    }

    /**
     * Check the state of the light bulb
     * 
     * @return  true if the bulb is on, false if it is not 
     */
    public boolean getState()
    {
        return isOn;
    }

}
